package cn.estsh.i3plus.pojo.mes.pcn.model;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-06-03-11:44
 * @Modify:
 **/

public class TorqueModel {
    private Long id;

    private Double upperLimit;

    private Double lowerLimit;

    private Double torqueValue;

    private boolean ok;

    private String color;

    public boolean isOk() {
        return ok;
    }

    public void setOk(boolean ok) {
        this.ok = ok;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getUpperLimit() {
        return upperLimit;
    }

    public void setUpperLimit(Double upperLimit) {
        this.upperLimit = (upperLimit == null ? 0 : upperLimit);
    }

    public Double getLowerLimit() {
        return lowerLimit;
    }

    public void setLowerLimit(Double lowerLimit) {
        this.lowerLimit = (lowerLimit == null ? 0 : lowerLimit);
    }

    public Double getTorqueValue() {
        return torqueValue;
    }

    public void setTorqueValue(Double torqueValue) {
        this.torqueValue = (torqueValue == null ? 0 : torqueValue);
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
}
